Subject: Re: Problem building gcc 2.95.2 under cygwin: /gcc-2.95.2/gcc/cpp
From: Gord Wait <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Cc: Ken Jessen <[email-masked]>
Date: Fri, 30 Mar 2001 15:27:04 -0800

The problem seems to be that the makeinfo.exe that gets built under
the gcc install directory doesn't work
under cygwin. Two possible fixes, one of which I tried and it got past this
error (still building gcc, don't know if there's more
problems ahead)

	1. go into the gcc source tree and hide the texinfo subdirectory, by
renaming it to 'hide' or something,
	Then run ./configure; make etc....
	This is what I tried - seems to help - the install just uses the
cygwin supplied makeinfo.exe instead.

	2. copy the working makeinfo.exe  from /bin/makeinfo.exe into the
textinfo/makeifo sub directory...
	don't know if this will work, can't see why not?

Looks like my gcc compile failed farther on, while I typed in this email:

in the part where it's trying to build in the libiberty directory, make
complains with a 
*** No targets specified and no makefile found. Stop.     

looks like it was dealing with libiberty.a

Someone else mentioned these cygwin issues had been cleaned up in gcc in
later versions - 
anyone recommend a 'stable' gcc release that includes cygwin bug fixes?
The gcc 2.95.2 is the last 'officially stable' release...
Gord Wait
Spectrum Signal Processing Inc..

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple